package com.approximatrix.draco.fit.ui.statistics;

import java.util.ArrayList;
import java.util.List;

import javax.swing.JMenu;
import javax.swing.JMenuItem;

import com.approximatrix.draco.fit.statistics.ExtendedStatistic;

public class ExtendedStatisticsMenu extends JMenu {

	private static final String LABEL = "Extended Statistics";
	
	public ExtendedStatisticsMenu() {
		super(LABEL);
	}
	
	public List<ExtendedStatistic> getStatistics() {
		ArrayList<ExtendedStatistic> list = new ArrayList<ExtendedStatistic>();
		
		for(int i=0;i<this.getItemCount();i++) {
			JMenuItem item = this.getItem(i);
			if(item instanceof ExtendedStatisticMenuItem && item.isSelected()) {
				list.add(((ExtendedStatisticMenuItem)item).getStatistic());
			}
		}
		return list;
	}
}
